Name:           python-the-spymaster-api
Version:        3.0.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python client implementation for The Spymaster HTTP backend.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/asaf-kali/the-spymaster-backend
Source:         %{pypi_source the_spymaster_api}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'the-spymaster-api' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-the-spymaster-api
Summary:        %{summary}

%description -n python3-the-spymaster-api %_description


%prep
%autosetup -p1 -n the_spymaster_api-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-the-spymaster-api -f %{pyproject_files}


%changelog
%autochangelog